Bug 884860 - wrong version of requires for broker
wrong version of requires for broker
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openshift-origin-broker (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 16:12 EST by Michael Scherer
Modified: 2013-01-11 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:22:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2012-12-06 16:12:44 EST
While reviewing openshift-origin-broker-util, i found this :

$ /usr/sbin/oo-admin-ctl-district        
Could not find gem 'parseconfig (= 0.5.2) ruby' in the gems available on this machine.
Run `bundle install` to install missing gems.
$ grep parseconfig /var/www/openshift/broker/Gemfile
gem 'parseconfig', '0.5.2'
$ rpm -qf  /var/www/openshift/broker/Gemfile
openshift-origin-broker-0.6.17-3.fc18.noarch

However, the dependency is here :

$ rpm -q --requires openshift-origin-broker | grep parse        
rubygem(parseconfig)

But not the proper version :

$ rpm -q rubygem-parseconfig
rubygem-parseconfig-1.0.2-2.fc18.noarch
Comment 1 Fedora Update System 2012-12-10 12:16:15 EST
openshift-origin-broker-0.6.17-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-broker-0.6.17-4.fc18
Comment 2 Fedora Update System 2012-12-11 00:02:10 EST
Package openshift-origin-broker-0.6.17-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openshift-origin-broker-0.6.17-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20118/openshift-origin-broker-0.6.17-4.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-01-11 18:22:42 EST
openshift-origin-broker-0.6.17-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.